Subject: Re: [syzbot] [virtualization?] linux-next boot error: WARNING: refcount bug in __free_pages_ok

From: "Michael S. Tsirkin" <[email-masked]>
Date: Thu, 22 Feb 2024 10:41:27 -0500

On Thu, Feb 22, 2024 at 11:06:55AM +0800, Lei Yang wrote:
> Hi All
> 
> I hit a similar issue when doing a regression testing from my side.
> For the error messages please help review the attachment.
> 
> The latest commit:
> commit c02197fc9076e7d991c8f6adc11759c5ba52ddc6 (HEAD -> master,
> origin/master, origin/HEAD)
> Merge: f2667e0c3240 0846dd77c834
> Author: Linus Torvalds <[email-masked]>
> Date:   Sat Feb 17 16:59:31 2024 -0800
> 
>     Merge tag 'powerpc-6.8-3' of
> git://git.kernel.org/pub/scm/linux/kernel/git/powerpc/linux
> 
>     Pull powerpc fixes from Michael Ellerman:
>      "This is a bit of a big batch for rc4, but just due to holiday hangover
>       and because I didn't send any fixes last week due to a late revert
>       request. I think next week should be back to normal.
> 
> Regards
> Lei

It all looks like a generic bug dealing with some refcounting
in the allocator.  So, a chance of a bisect there?

-- 
MST